Package org.pushingpixels.lafwidget.animation

# Class AnimationConfigurationManager

java.lang.Object
org.pushingpixels.lafwidget.animation.AnimationConfigurationManager

public class AnimationConfigurationManager extends Object
Animation configuration manager.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`void`
`allowAnimations(AnimationFacet animationFacet)`
Allows animations of the specified facet on all controls.
`void`
`allowAnimations(AnimationFacet animationFacet, Component comp)`
Allows animations of the specified facet on the specified control.
`void`
`allowAnimations(AnimationFacet animationFacet, Class<?> clazz)`
Allows animations of the specified facet on all controls of specified class.
`void`
`allowAnimations(AnimationFacet animationFacet, Class<?>[] clazz)`
Allows animations of the specified facet on all controls of specified classes.
`void`
`configureModifiedTimeline(org.pushingpixels.trident.Timeline timeline)`
`void`
`configureTimeline(org.pushingpixels.trident.Timeline timeline)`
`void`
`disallowAnimations(AnimationFacet animationFacet)`
Disallows animations of the specified facet on all controls.
`void`
`disallowAnimations(AnimationFacet animationFacet, Component comp)`
Disallows animations of the specified facet on the specified control.
`void`
`disallowAnimations(AnimationFacet animationFacet, Class<?> clazz)`
Disallows animations of the specified facet on all controls of specified class.
`void`
`disallowAnimations(AnimationFacet animationFacet, Class<?>[] clazz)`
Disallows animations of the specified facet on all controls of specified classes.
`static AnimationConfigurationManager`
`getInstance()`
Returns the configuration manager instance.
`long`
`getTimelineDuration()`
`boolean`
`isAnimationAllowed(AnimationFacet animationFacet, Component comp)`
Checks whether the specified animation facet is allowed on the specified component.
`void`
`setTimelineDuration(long timelineDuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static AnimationConfigurationManager getInstance()
Returns the configuration manager instance.

Returns:
  Configuration manager instance.

### allowAnimations

public void allowAnimations(AnimationFacet animationFacet)
Allows animations of the specified facet on all controls.

Parameters:
  `animationFacet` - Animation facet to allow.

### allowAnimations

public void allowAnimations(AnimationFacet animationFacet, Class<?> clazz)
Allows animations of the specified facet on all controls of specified class.

Parameters:
  `animationFacet` - Animation facet to allow.
  `clazz` - Control class for allowing the animation facet.

### allowAnimations

public void allowAnimations(AnimationFacet animationFacet, Class<?>[] clazz)
Allows animations of the specified facet on all controls of specified classes.

Parameters:
  `animationFacet` - Animation facet to allow.
  `clazz` - Control classes for allowing the animation facet.

### allowAnimations

public void allowAnimations(AnimationFacet animationFacet, Component comp)
Allows animations of the specified facet on the specified control.

Parameters:
  `animationFacet` - Animation facet to allow.
  `comp` - Control for allowing the animation facet.

### disallowAnimations

public void disallowAnimations(AnimationFacet animationFacet)
Disallows animations of the specified facet on all controls.

Parameters:
  `animationFacet` - Animation facet to disallow.

### disallowAnimations

public void disallowAnimations(AnimationFacet animationFacet, Class<?> clazz)
Disallows animations of the specified facet on all controls of specified class.

Parameters:
  `animationFacet` - Animation facet to disallow.
  `clazz` - Control class for disallowing the animation facet.

### disallowAnimations

public void disallowAnimations(AnimationFacet animationFacet, Class<?>[] clazz)
Disallows animations of the specified facet on all controls of specified classes.

Parameters:
  `animationFacet` - Animation facet to disallow.
  `clazz` - Control classes for disallowing the animation facet.

### disallowAnimations

public void disallowAnimations(AnimationFacet animationFacet, Component comp)
Disallows animations of the specified facet on the specified control.

Parameters:
  `animationFacet` - Animation facet to disallow.
  `comp` - Control for disallowing the animation facet.

### isAnimationAllowed

public boolean isAnimationAllowed(AnimationFacet animationFacet, Component comp)
Checks whether the specified animation facet is allowed on the specified component.

Parameters:
  `animationFacet` - Animation facet.
  `comp` - Component. Can be `null`.
Returns:
  `true` if the specified animation facet is allowed on the specified component, `false` otherwise.

### setTimelineDuration

public void setTimelineDuration(long timelineDuration)

### getTimelineDuration

public long getTimelineDuration()

### configureTimeline

public void configureTimeline(org.pushingpixels.trident.Timeline timeline)

### configureModifiedTimeline

public void configureModifiedTimeline(org.pushingpixels.trident.Timeline timeline)